#
# spec file for package sffview
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sffview
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  gcc-c++
BuildRequires:  libtiff-devel
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-devel
BuildRequires:  xorg-x11
Version:        0.5
Release:        4.4
Summary:        Viewer for Structured Fax Files (.sff) used by ISDN applications
License:        MIT
Group:          Hardware/ISDN
Source:         %{name}-%{version}.tar.xz
Source2:        %{name}.1
URL:            http://sfftools.sourceforge.net/
Patch0:         %{name}-%{version}.diff

%description
The CAPI interface for programming ISDN hardware expects and gives you
faxes in the "Structured Fax File" (SFF) format.

SffView is a viewer for SFF files. SffView is written in C++ using the
wxWidgets toolkit.

%prep
%autosetup -p1

%build
%make_build

%install
install -d "%buildroot/%_bindir"
install sffview "%buildroot/%_bindir/"
install -d "%buildroot/%_defaultdocdir/sffview"
install -pm0644 doc/readme doc/copying testfax.sff "%buildroot/%_defaultdocdir/sffview/"
install -d "%{buildroot}/%{_mandir}/man1"
install -pm0644 %{S:2} "%{buildroot}/%{_mandir}/man1/"

%files
/usr/bin/sffview
%doc %{_defaultdocdir}/sffview
%doc %{_mandir}/man1/sffview.1.gz

%changelog
* Thu Nov 21 2024 Bjørn Lie <bjorn.lie@gmail.com>
- Replace wxWidgets-3_0-devel for wxWidgets-devel BuildRequires:
  Package builds just fine with the newer 3.2 version.
* Tue May 17 2022 Jan Engelhardt <jengelh@inai.de>
- Drop unused BuildRequire on SDL-devel.
- Modernize specfile. Trim filler wording from description.
* Thu Feb  2 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Fri Jan 27 2017 keil@b1-systems.de
- use wxWidgets-3_0
- import man page from debian project
- delete sffview-gcc43.diff since it is included in the new version
- delete not longer applying  sffview-0.4.diff patch
- add sffview-0.5.diff patch to use RPM_OPT_FLAGS and unicode
* Fri Jan 27 2017 keil@b1-systems.de
- Update to version 0.5
* Fri Aug 12 2016 jengelh@inai.de
- Remove archaic specfile contraptions.
  Fix rpmlint "spurious-executable-permissions" warning.
* Fri Jan 21 2011 sbrabec@suse.cz
- Fixed build for older distributions.
* Wed Dec 29 2010 sbrabec@suse.cz
- Compile with wxWidgets (STL variant).
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Thu Feb 26 2009 crrodriguez@suse.de
- extend GCC 4.3 patch to cover GC 4.4 too
* Thu Oct 11 2007 kkeil@suse.de
- fixes for GCC 4.3
* Mon Mar  5 2007 kkeil@suse.de
- fix string type issue for gcc42
* Mon Oct 30 2006 kkeil@suse.de
- update to 0.4
  * include all our fixes
  * print support
* Mon Oct 16 2006 kkeil@suse.de
- compile with RPM_OPT_FLAGS
- compile with unicode support (Thanks Andreas Hanke, #212502)
* Fri Jan 27 2006 kkeil@suse.de
- add gcc-c++ to BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Fri Apr 15 2005 mcihar@suse.de
- add SDL-devel-packages because of wxGTK
* Sat Apr  9 2005 kkeil@suse.de
- GCC4 fixes
* Wed Mar 30 2005 kkeil@suse.de
- a dword is always 32 bit, also on 64 bit OS (#75254)
* Mon Nov 22 2004 ro@suse.de
- fix build with new wxGTK
* Wed Sep 15 2004 kkeil@suse.de
- move to version 0.3 (#44574)
* Fri Aug 20 2004 ro@suse.de
- added wxGTK-compat to neededforbuild
* Wed Apr 21 2004 kkeil@suse.de
- fix package for new wxGTK with UNICODE enabled
* Wed Jan 14 2004 ro@suse.de
- use gtk2
* Thu Jun 12 2003 kkeil@suse.de
- fix filelist
* Sun Feb 23 2003 ghillie@suse.de
- use g++ instead of gcc
* Mon Jan 20 2003 ghillie@suse.de
- removed arch=i486 from Makefile (see gcc-3.2 patch)
- added glib and gtk to neededforbuild
* Mon Dec 16 2002 gernot@hillier.de
- first package
